using System;
using System.Collections.Generic;
using System.Text;
using GxPress.EnumConst;
using Datory;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 通知收件人
    /// </summary>
    [DataTable("tede_notice_addressee")]
    public class NoticeAddressee : Datory.Entity
    {
        /// <summary>
        /// 通知ID
        /// </summary>
        [DataColumn]
        public int NoticeId { get; set; }

        /// <summary>
        /// 收件人
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }

        /// <summary>
        /// 收件人姓名
        /// </summary>
        [DataColumn]
        public string UserName { get; set; }

        /// <summary>
        /// 是否阅读
        /// </summary>
        [DataColumn]
        public bool IsRead { get; set; }

        /// <summary>
        /// 手机人状态 1 接收 2 草稿
        /// </summary>
        [DataColumn]
        public NoticeTypeConst NoticeAddresseeType { get; set; }

        /// <summary>
        /// 文件夹ID
        /// </summary>
        [DataColumn]
        public int NoticeFolderId { get; set; }


        /// <summary>
        /// 是否置顶
        /// </summary>
        [DataColumn]
        public bool IsTop { get; set; }

        /// <summary>
        /// 是否管理员
        /// </summary>
        [DataColumn]
        public bool IsAdmin { get; set; }

        /// <summary>
        /// 是否删除
        /// </summary>
        [DataColumn]
        public bool IsDelete { get; set; }
    }
}
